package com.ruoyi.ai.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ai.mapper.AiHelpMapper;
import com.ruoyi.ai.domain.AiHelp;
import com.ruoyi.ai.service.IAiHelpService;

/**
 * 【帮助管理】Service业务层处理
 * 
 * @author shi
 * @date 2025-11-13
 */
@Service
public class AiHelpServiceImpl implements IAiHelpService {

    @Autowired
    private AiHelpMapper aiHelpMapper;

    /**
     * 查询【帮助管理】
     * 
     * @param id 【帮助管理】主键
     * @return 【帮助管理】
     */
    @Override
    public AiHelp selectAiHelpById(Long id) {
        return aiHelpMapper.selectById(id);
    }

    /**
     * 查询【帮助管理】列表
     * 
     * @param aiHelp 【帮助管理】
     * @return 【帮助管理】
     */
    @Override
    public List<AiHelp> selectAiHelpList(AiHelp aiHelp) {
        LambdaQueryWrapper<AiHelp> query = Wrappers.lambdaQuery(aiHelp);
        query.orderByDesc(AiHelp::getId);
        query.eq(AiHelp::getDelFlag, "0");
        return aiHelpMapper.selectList(query);
    }

    /**
     * 分页查询【帮助管理】列表
     *
     * @param aiHelp 【帮助管理】
     * @return 【帮助管理】
     */
    @Override
    public IPage<AiHelp> selectAiHelpPage(Page page, AiHelp aiHelp) {
        LambdaQueryWrapper<AiHelp> query = Wrappers.lambdaQuery(aiHelp);
        query.eq(AiHelp::getDelFlag, "0");
        return aiHelpMapper.selectPage(page, query);
    }

    /**
     * 新增【帮助管理】
     * 
     * @param aiHelp 【帮助管理】
     * @return 结果
     */
    @Override
    public int insertAiHelp(AiHelp aiHelp) {
        aiHelp.setDelFlag("0");
        aiHelp.setCreateBy(SecurityUtils.getUsername());
        aiHelp.setCreateTime(DateUtils.getNowDate());
        return aiHelpMapper.insert(aiHelp);
    }

    /**
     * 修改【帮助管理】
     * 
     * @param aiHelp 【帮助管理】
     * @return 结果
     */
    @Override
    public int updateAiHelp(AiHelp aiHelp) {
        aiHelp.setUpdateBy(SecurityUtils.getUsername());
        aiHelp.setUpdateTime(DateUtils.getNowDate());
        return aiHelpMapper.updateById(aiHelp);
    }

    /**
     * 批量删除【帮助管理】
     * 
     * @param ids 需要删除的【帮助管理】主键
     * @return 结果
     */
    @Override
    public int deleteAiHelpByIds(Long[] ids)
    {
        return aiHelpMapper.deleteAiHelpByIds(ids);
    }

    /**
     * 删除【帮助管理】信息
     * 
     * @param id 【帮助管理】主键
     * @return 结果
     */
    @Override
    public int deleteAiHelpById(Long id)
    {
        return aiHelpMapper.deleteAiHelpById(id);
    }
}
